(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     19060,        519]
NotebookOptionsPosition[     18256,        498]
NotebookOutlinePosition[     18690,        515]
CellTagsIndexPosition[     18647,        512]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.812105952950175*^9, 3.8121059622770176`*^9}, {
  3.8121060546865954`*^9, 3.812106057522152*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"c58f5aaa-5aa5-4c84-b5ff-459d6a26fad0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "g"}], "}"}]}], "}"}], ",", 
    RowBox[{"pesos", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["e", "1"], ",", 
       SubscriptBox["e", "2"], ",", 
       SubscriptBox["e", "3"], ",", 
       SubscriptBox["e", "4"], ",", 
       SubscriptBox["e", "5"], ",", 
       SubscriptBox["e", "6"], ",", 
       SubscriptBox["e", "7"], ",", 
       SubscriptBox["e", "8"], ",", 
       SubscriptBox["e", "9"], ",", 
       SubscriptBox["e", "10"]}], "}"}]}], ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MIGrafo", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}],
     "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"MIGrafo", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}],
     "}"}], ",", 
   RowBox[{"table", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.812132796893408*^9, 3.812132823219999*^9}, {
  3.8122844066831293`*^9, 3.81228447064537*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"1f193471-66b7-46e3-8767-00f7837f37fd"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`g, $CellContext`d, \
$CellContext`e, $CellContext`f, $CellContext`c}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {2, 6}, {7, 1}, {7, 4}, {4, 5}, {
       5, 6}, {6, 3}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`b, $CellContext`e] -> 
         Subscript[$CellContext`e, 4], 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> 
         Subscript[$CellContext`e, 7], 
         UndirectedEdge[$CellContext`b, $CellContext`d] -> 
         Subscript[$CellContext`e, 3], 
         UndirectedEdge[$CellContext`f, $CellContext`g] -> 
         Subscript[$CellContext`e, 10], 
         UndirectedEdge[$CellContext`c, $CellContext`a] -> 
         Subscript[$CellContext`e, 6], 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> 
         Subscript[$CellContext`e, 8], 
         UndirectedEdge[$CellContext`b, $CellContext`f] -> 
         Subscript[$CellContext`e, 5], 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> 
         Subscript[$CellContext`e, 9], 
         UndirectedEdge[$CellContext`a, $CellContext`g] -> 
         Subscript[$CellContext`e, 2], 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 
         Subscript[$CellContext`e, 1]}, EdgeWeight -> {
         Subscript[$CellContext`e, 1], 
         Subscript[$CellContext`e, 2], 
         Subscript[$CellContext`e, 3], 
         Subscript[$CellContext`e, 4], 
         Subscript[$CellContext`e, 5], 
         Subscript[$CellContext`e, 6], 
         Subscript[$CellContext`e, 7], 
         Subscript[$CellContext`e, 8], 
         Subscript[$CellContext`e, 9], 
         Subscript[$CellContext`e, 10]}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[
        0.7], {LineBox[{{1.0678280616566158`, 0.}, {1.0681054889308303`, 
          1.0136311150991137`}}], InsetBox[
          SubscriptBox["e", "1"], {1.0679667752937232, 0.5068155575495569}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.0678280616566158`, 0.}, {2.134382678236156, 
          0.17985791516946215`}}], InsetBox[
          SubscriptBox["e", "2"], {1.601105369946386, 0.08992895758473107}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.0678280616566158`, 0.}, {0., 0.17990515219668413`}}], 
         InsetBox[
          SubscriptBox["e", "6"], {0.5339140308283079, 0.08995257609834206}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.0681054889308303`, 1.0136311150991137`}, {
          0.19621692712669736`, 1.2194260985044352`}}], InsetBox[
          SubscriptBox["e", "3"], {0.6321612080287639, 1.1165286068017743}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.0681054889308303`, 1.0136311150991137`}, {
          1.0672884909187113`, 1.7947375104364944`}}], InsetBox[
          SubscriptBox["e", "4"], {1.0676969899247708, 1.404184312767804}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.0681054889308303`, 1.0136311150991137`}, {
          1.9382204658014648`, 1.219709299747644}}], InsetBox[
          SubscriptBox["e", "5"], {1.5031629773661477, 1.116670207423379}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.134382678236156, 0.17985791516946215`}, {
          1.9382204658014648`, 1.219709299747644}}], InsetBox[
          SubscriptBox["e", "10"], {2.0363015720188105, 0.6997836074585531}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.19621692712669736`, 1.2194260985044352`}, {
          1.0672884909187113`, 1.7947375104364944`}}], InsetBox[
          SubscriptBox["e", "8"], {0.6317527090227043, 1.5070818044704648}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.19621692712669736`, 1.2194260985044352`}, {0., 
          0.17990515219668413`}}], InsetBox[
          SubscriptBox["e", "7"], {0.09810846356334868, 0.6996656253505597}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.0672884909187113`, 1.7947375104364944`}, {
          1.9382204658014648`, 1.219709299747644}}], InsetBox[
          SubscriptBox["e", "9"], {1.502754478360088, 1.5072234050920692}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{1.0678280616566158, 0.}, 0.02369258147657785], 
         InsetBox["a", 
          Offset[{2, 2}, {1.0915206431331936, 0.02369258147657785}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0681054889308303, 1.0136311150991137}, 
          0.02369258147657785], 
         InsetBox["b", 
          Offset[{2, 2}, {1.0917980704074082, 1.0373236965756916}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.134382678236156, 0.17985791516946215}, 
          0.02369258147657785], 
         InsetBox["g", Offset[{2, 2}, {2.158075259712734, 0.20355049664604}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.19621692712669736, 1.2194260985044352}, 
          0.02369258147657785], 
         InsetBox["d", 
          Offset[{2, 2}, {0.2199095086032752, 1.243118679981013}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0672884909187113, 1.7947375104364944}, 
          0.02369258147657785], 
         InsetBox["e", 
          Offset[{2, 2}, {1.090981072395289, 1.8184300919130723}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9382204658014648, 1.219709299747644}, 
          0.02369258147657785], 
         InsetBox["f", 
          Offset[{2, 2}, {1.9619130472780426, 1.2434018812242218}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.17990515219668413}, 0.02369258147657785], 
         InsetBox["c", 
          Offset[{2, 2}, {0.02369258147657785, 0.20359773367326198}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.812284471512851*^9, 3.812284507028185*^9, {3.812307306300188*^9, 
   3.812307312393031*^9}},
 CellLabel->"Out[5]=",ExpressionUUID->"824b3c0a-f18f-48e6-bdf0-8e0b06934e33"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "1", "0", "0", "0", "1", "0", "0", "0", "0"},
     {"1", "0", "1", "1", "1", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1", "1", "0", "0", "0"},
     {"0", "0", "1", "0", "0", "0", "1", "1", "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "1", "1", "0"},
     {"0", "0", "0", "0", "1", "0", "0", "0", "1", "1"},
     {"0", "1", "0", "0", "0", "0", "0", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.812284471512851*^9, 3.812284507028185*^9, {3.812307306300188*^9, 
   3.8123073124399076`*^9}},
 CellLabel->
  "Out[6]//MatrixForm=",ExpressionUUID->"a2a4e44a-f438-4056-85a1-\
f7a50457d2b1"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "b"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"a", "\[UndirectedEdge]", "g"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "d"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"b", "\[UndirectedEdge]", "f"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"c", "\[UndirectedEdge]", "a"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"c", "\[UndirectedEdge]", "d"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"d", "\[UndirectedEdge]", "e"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"e", "\[UndirectedEdge]", "f"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox[
        RowBox[{"f", "\[UndirectedEdge]", "g"}],
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "1", "0", "0", "0", "1", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "0", "1", "1", "1", "0", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "1", "1", "0", "0", "0"},
     {
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "1", "0", "0", "0", "1", "1", "0", "0"},
     {
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "1", "0", "0", "0", "1", "1", "0"},
     {
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "1", "0", "0", "0", "1", "1"},
     {
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "1", "0", "0", "0", "0", "0", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]]}, {
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`b], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`a, $CellContext`g], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`d], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`e], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`b, $CellContext`f], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`c, $CellContext`a], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`c, $CellContext`d], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`d, $CellContext`e], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`e, $CellContext`f], 
        GrayLevel[0]], 
       Style[
        UndirectedEdge[$CellContext`f, $CellContext`g], 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{
  3.812284471512851*^9, 3.812284507028185*^9, {3.812307306300188*^9, 
   3.8123073124468937`*^9}},
 CellLabel->
  "Out[7]//TableForm=",ExpressionUUID->"602432d0-e98a-40d2-9197-01b9dd6e8e78"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"c0a8d03e-5a50-4c6f-8727-b89d435f0328"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 251, 4, 63, "Input",ExpressionUUID->"c58f5aaa-5aa5-4c84-b5ff-459d6a26fad0"],
Cell[CellGroupData[{
Cell[834, 28, 1915, 54, 480, "Input",ExpressionUUID->"1f193471-66b7-46e3-8767-00f7837f37fd"],
Cell[2752, 84, 6852, 142, 649, "Output",ExpressionUUID->"824b3c0a-f18f-48e6-bdf0-8e0b06934e33"],
Cell[9607, 228, 1061, 26, 327, "Output",ExpressionUUID->"a2a4e44a-f438-4056-85a1-f7a50457d2b1"],
Cell[10671, 256, 7569, 239, 401, "Output",ExpressionUUID->"602432d0-e98a-40d2-9197-01b9dd6e8e78"]
}, Open  ]]
}
]
*)

